Subject: [Suit] Manifest questions

From: Rønningstad, Øyvind <[email-masked]>
Date: Mon, 22 Nov 2021 14:30:46 +0000

Hi guys. I have some more ideas/questions for the manifest spec.

  *   Can we rename "common sequence" since it is so similar to "command sequence"? E.g. "shared sequence"
  *   Directive-run-sequence sounds like it is related to directive-run. I suggest we should change one "run" to "execute". "directive-execute-sequence" or "directive-execute".
  *   Changing IndexArg to just [* uint] would simplify decoding and encoding. Or is there some consideration (maybe for parameter override) I am missing?
  *   How does set-component interact with run-sequence? If the current component is a list, is the sequence run multiple times? What happens if set-component happens inside a run-sequence or try-each?
  *   If there are implementations of SUIT before the manifest spec becomes an RFC, should they use different suit-manifest-version numbers (e.g. negative numbers)?
  *   For writing very small values (e.g. 32-bit configuration values), it would be convenient to avoid the need for a fragment URI and a digest check that integrated payloads currently require. Can we add a suit-directive-write directive which takes a bstr payload that will be written directly to the current component?

I have a couple of more points to bring up, but I will put them in separate emails.
Thanks for the great work,
Øyvind